= 创作分享 =
编程开发
1.7.10-1.14.x]AHpx启动器 2.0 | 开源|EXDUI|简单|快捷| ...

1.7.10-1.14.x]AHpx启动器 2.0 | 开源|EXDUI|简单|快捷|自定义

AHpx 于 2019-6-2 16:10 ( 2月前 ) 分类。  [复制链接] [显示全部楼层] [打印]
本帖最后由 AHpx 于 2019-8-9 10:07 编辑

介绍

AHpx启动器 - 开源|EXDUI|简单|快捷|自定义

开源:使用易语言5.6开发,VC6编译器编译,界面基于EX——Direct UI技术处理。
简单:最简填写只需要填写分配内存和离线名称就能启动

快捷:配置统一存放,启动器无论在何目录都共享一个配置,而无需重复填写

自定义:启动器支持自定义背景图片、窗口组件透明度、背景高斯模糊程度


启动核心:Module Launcher启动模块

感谢:@锁 @回忆 的技术帮助




预览


主界面:
主页.png

账号:
账号1.png
账号2.png
设置:
设置.png

下载:
下载.png

关于:
关于.png




下载


主程序下载地址:


https://www.lanzous.com/i58d7xg

源代码下载地址:

https://www.lanzous.com/i58d7ve

源代码使用协议:
1.禁止以此源代码获取经济利益
2.禁止上传于任何论坛/QQ群等
3.禁止编译修改过的源代码用于商业用途(商业服务器启动器等,如果需要请联系开发者获得授权)






安全性

查毒链接:哈勃

开发者承诺本程序中没有危害计算机安全的代码,杀毒软件报毒是误报,信任本程序或关闭杀毒软件即可。







最后

开发计划

下个版本(2.1):加入补全库/资源,更多的设置项目,多语言支持
预计发布日期:20??/??/??





如果感觉这个启动器做的还行,请回复一下。






发表于 2019-6-2 16:10:39 | 显示全部楼层 |阅读模式

回复 | 举报

该帖共收到 11 条回复!
易语言启动器。。。。认真的?
发表于 2019-6-2 19:21:44 | 显示全部楼层

回复 | 举报

能讲一讲有什么主要的功能吗?
比如自动安装Forge?Optifine?LiteLoader?
支持启动高版本,比如1.14吗?
能管理多个MC实例,像MultiMC那样吗?

有挺多问题的,就不一一列举了。
希望楼主有空可以回答一下。
最后还是要支持一下开源程序作者,开源万岁!
更休落魄耽杯酒,亦莫猖狂爱咏诗。
        今日捉将官里去,这回断送老头皮!

发表于 2019-6-2 20:05:29 | 显示全部楼层

回复 | 举报

不支持下载…意思就是没搭载bmclapi咯?
发表于 2019-6-2 22:56:49 | 显示全部楼层

回复 | 举报

体积小:国内启动器大多都体积不大
背景图片:可有可无 不影响使用体验(而且无法调整高斯模糊)
仅支持正版启动:这可能不算优点 而且和下面的不支持离线登陆重复
良好的交互性能:请问交互性能是指什么?
连接吧,如果说那就是命运的话。
发表于 2019-6-5 17:30:54 | 显示全部楼层

回复 | 举报

封兽·鵺 发表于 2019-6-5 17:30
体积小:国内启动器大多都体积不大
背景图片:可有可无 不影响使用体验(而且无法调整高斯模糊)
仅支持正 ...

1.体积小:易语言使用exui再用vc编译的话体积大概都是10mb以上了,因此这个体积小指的是“同类产品”中的,恕我未直接声明,导致误解产生。
2.背景图片体现的是启动器的自定义和美观性,我大可直接使用纯色背景,但我觉得那是在不能算作美观。
3.请注意我所说的是“特性”而非优点,因为此帖子在临行前匆忙编辑,有许多错误,抱歉。
4.以前使用的是单线程式的载入窗口,这增加了载入窗口的时间,使程序看来很卡顿,因此新版本采用了后台处理高斯模糊。同样恕我未能解释清楚。

新的帖子会在稍后进行编辑,至少不会如现在这样。
发表于 2019-6-5 22:23:46 | 显示全部楼层

回复 | 举报

smilesadness 发表于 2019-6-2 22:56
不支持下载…意思就是没搭载bmclapi咯?

下载和补全在以后的版本中加入,打算采用mojang官方源和bmclapi双下载源,再使用迅雷开放sdk下载,只是exui的列表框组件有些迷茫orz。
发表于 2019-6-5 22:26:45 | 显示全部楼层

回复 | 举报

NoNamePlay 发表于 2019-6-2 20:05
能讲一讲有什么主要的功能吗?
比如自动安装Forge?Optifine?LiteLoader?
支持启动高版本,比如1.14吗?

其实主要的功能标题已经写清楚了,只是正版minecraft启动。

自动安装Forge、Optifine、LiteLoader这几项的确是没能找到方法,慢慢克隆一些开源项目来研究一下吧。但纯净minecraft的下载不是一个难题,预计会在下个版本加入。

自从minecraft在1.13以后的版本大幅调整之后,多数易语言启动器都不支持启动。但万幸的是此启动器是支持启动高版本的,1.13我测试过,在lib和assist补全的情况下是完全可以启动的。

以前加入过简单的mod管理,后来被移除了,以后大概会加入版本分离、mod/材质/地图管理。

最后,感谢提出的反馈和支持。

评分

参与人数 1Vis +1 收起 理由
NoNamePlay + 1 大佬猛的

查看全部评分

发表于 2019-6-5 22:33:40 | 显示全部楼层

回复 | 举报

寒冽 发表于 2019-6-2 19:21
易语言启动器。。。。认真的?

的确是认真的。
发表于 2019-6-5 22:35:03 | 显示全部楼层

回复 | 举报

什么时候出个linux版的
发表于 2019-6-7 22:18:56 | 显示全部楼层

回复 | 举报

12下一页
百科目前不允许匿名发帖哦~ 请先 [ 登陆 ][ 注册 ] 吧~

本版积分规则

发新帖
  • 回复
  • 点评
  • 评分

[ MC百科(mcmod.cn) 除教程作者自定义规则的文章, 及未授权的站外图片/链接以外的所有开放公开编辑的内容, 均采用 BY-NC-SA 3.0 协议 ]

Minecraft百科CC协议
快速回复 返回顶部 返回列表